<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
 "http://www.w3.org/TR/REC-html40/loose.dtd">

<HTML>

<HEAD>
<META name="GENERATOR" content="Htmlc 2.22">
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">

<TITLE>

JFLA 2010
</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFACD">
<TABLE CELLPADDING=0 CELLSPACING=0 WIDTH="100%">
 <TR>
   <TD><IMG SRC="http://jfla.inria.fr/imgs/inria.gif" ALT="LOGO INRIA"></TD>
   <TD><FONT COLOR="#003399" SIZE="+3">
       <STRONG>Cours et Colloques</STRONG></FONT></TD>
 </TR>
</TABLE>
<P ALIGN=CENTER><IMG SRC="http://jfla.inria.fr/imgs/ti_dessous.gif" ALT="TRAIT"></P>

<P><FONT COLOR="#003399"><STRONG>Contact:</STRONG></FONT>
   <CODE>colloques@inrialpes.fr</CODE>
</P>

<H1 ALIGN=CENTER>JFLA 2010</H1>

<H3 ALIGN=CENTER>30 janvier au 2 février 2010 Vieux-Port La Ciotat</H3>

<P ALIGN=CENTER><IMG SRC="http://jfla.inria.fr/2010/pub_site_conf.jpg" ALT="Site de la
manifestation"></P>



<H1>Cours de Coq</H1>

<H2>Durée: 3 heures</H2>

<H2>Orateur : Pierre Castéran</H2>

<P>Ce cours vise le public le plus large possible : nous espérons donner le
goût de Coq aux personnes intéressées par la possibilité de prouver sur machine
des théorèmes ou des programmes, en en montrant quelques facettes. Il sera
aussi l'occasion de présenter un travail de recherche en cours.

<P>Nous prendrons comme fil conducteur quelques problèmes de mathématique
amusante : suites de Goodstein, batailles d'hydres, etc. pour aborder quelques
aspects intéressants de Coq:
<UL>
  <LI> Relations entre déduction et calcul
  <LI> Définitions inductives, preuves par récurrence
  <LI> Relations bien fondées, preuves de terminaison
  <LI> Logique classique, problèmes de l'utilisaton d'axiomes
  <LI> Ecriture de quelques tactiques simples
  <LI> Un peu de réflexion
  <LI> Un peu d'extraction
</UL>

<P>Des Journées à Pauillac (pays du vin et de l'agneau) ne peuvent négliger
l'aspect diététique. Nous ne nous limiterons donc pas aux omégas-3, ni 6, 
mais aborderons des ordinaux bien plus gros.

<HR>
<P>Pour tout renseignement, contacter

<BLOCKQUOTE>
<BR>
INRIA Grenoble Rhône-Alpes
Bureau des Cours-Colloques
655 avenue de l'Europe - Montbonnot
38334 Saint Ismier Cedex - France
<BR>
Tel : + 33 (0)4 76 61 52 23 - Fax : + 33 (0)4 76 61 52 06<BR>
email : <CODE>colloques@inrialpes.fr</CODE><BR>
<CODE>http://jfla.inria.fr/2010/</CODE><BR>
<BR>
</BLOCKQUOTE>

<I><BR> Pour toutes remarques d'ordre général ou technique concernant
cette page, écrire à <A
HREF="mailto:Pierre.Weis@inria.fr">Pierre.Weis@inria.fr</A>.</I>

<HR>

<P><I>Conception et mise au point: Pierre Weis.</I>


<BR>
<I><A HREF="http://jfla.inria.fr/2010/copyright-fra.html">Copyright</A>
&#169; 1996 - 2010 INRIA, tous droits réservés.</I>
<BR>

   <EM>Date de dernière modification:
jeudi 11 septembre 2008
</EM>

<P ALIGN=CENTER>
  <IMG SRC="http://jfla.inria.fr/imgs/JoeCaml.gif" ALT="LOGO Caml">
  <EM>Powered by Caml</EM>
  <IMG SRC="http://jfla.inria.fr/imgs/CamlJoe.gif" ALT="Caml LOGO">
</P>



</BODY>
</HTML>

